Bug 162810 - [UPDATE] security/logcheck: Update 1.3.14
Summary: [UPDATE] security/logcheck: Update 1.3.14
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Greg Larkin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-24 09:50 UTC by takefu
Modified: 2011-12-08 23:20 UTC (History)
0 users

See Also:


Attachments
logcheck.patch (2.19 KB, patch)
2011-11-24 09:50 UTC, takefu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description takefu 2011-11-24 09:50:09 UTC
  Update 1.3.14
Comment 1 Martin Wilke freebsd_committer 2011-11-28 12:34:10 UTC
State Changed
From-To: open->feedback

can u please run portlint -AC, fix all errors and resend a patch? thx.
Comment 2 Pav Lucistnik freebsd_committer 2011-12-02 13:35:18 UTC
State Changed
From-To: feedback->open

The patch looks allright to me
Comment 3 Pav Lucistnik freebsd_committer 2011-12-02 13:42:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->glarkin

Assign to maintainer
Comment 4 Greg Larkin freebsd_committer 2011-12-05 23:30:16 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hello Takefu,

Thank you for your PR, and I have started reviewing it today.  Can you
tell me the reason for the removal of lines from the file
extra-patch-src__logcheck.in?  As far as I can tell, all that should
happen there is a change of the version string to 1.3.14.  If you had
some other reason for deleting the other lines, please let me know.

Thank you, and I look forward to your reply!

Cheers,
Greg Larkin

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (Darwin)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk7dVAgACgkQ0sRouByUApBBxACgnJxuK0kskjVHv4NT4yRpd5LW
TmcAoLKkmP218DaS/38GJ1JvJtIWCZ8I
=4qMJ
-----END PGP SIGNATURE-----
Comment 5 takefu 2011-12-06 08:01:01 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I'm sorry.
This extra-patch-src__logcheck.in, Did you forget to.
âº

- --- logcheck.patch begins here ---
diff -ruN /usr/ports/security/logcheck/Makefile security/logcheck/Makefile
- --- /usr/ports/security/logcheck/Makefile	2011-11-28 18:43:53.000000000 +0900
+++ security/logcheck/Makefile	2011-11-29 09:31:50.000000000 +0900
@@ -6,8 +6,7 @@
 #

 PORTNAME=	logcheck
- -PORTVERSION=	1.3.13
- -PORTREVISION=	1
+PORTVERSION=	1.3.14
 CATEGORIES=	security
 MASTER_SITES=	${MASTER_SITE_DEBIAN_POOL}
 DISTNAME=	${PORTNAME}_${PORTVERSION}
@@ -26,10 +25,14 @@
 LOGCHECK_GROUP=	${LOGCHECK_USER}
 LOGCHECK_GID=	${LOGCHECK_UID}

+BASEDIR=	# none
+DBDIR=		${BASEDIR}/var/db/${PORTNAME}
+RUNDIR=		${BASEDIR}/var/run/${PORTNAME}
+
 # Enable Perl dependency for logtail script
 USE_PERL5=	5.8.0+

- -WRKSRC=		${WRKDIR}/${PORTNAME}
+WRKSRC=		${WRKDIR}/${DISTNAME:S!_!-!}
 BINMODE=	755
 SHAREMODE=	640
 SUB_LIST+=	LOGCHECK_USER=${LOGCHECK_USER} \
@@ -37,6 +40,7 @@
 		LOGCHECK_GROUP=${LOGCHECK_GROUP} \
 		LOGCHECK_GID=${LOGCHECK_GID} \
 		PW=${PW}
+PLIST_SUB+=	BASEDIR=${BASEDIR} DBDIR=${DBDIR} RUNDIR=${RUNDIR}
 SUB_FILES=	pkg-install pkg-deinstall pkg-message
 CONFIG_DIRS=	cracking.d ignore.d.paranoid ignore.d.server \
 		ignore.d.workstation violations.d violations.ignore.d
@@ -56,9 +60,6 @@
 	@${SED} ${_SUB_LIST_TEMP} ${FILESDIR}/${patch}.in > ${WRKDIR}/${patch}
 .endfor

- -post-patch:
- -	@${FIND} ${WRKSRC}/rulefiles -type f -name \*.orig -delete
- -
 do-build:
 	@${REINPLACE_CMD} -e 's!/var/log/syslog!/var/log/messages!' \
 		${WRKSRC}/etc/logcheck.logfiles
@@ -70,14 +71,14 @@
 	${INSTALL_SCRIPT} ${WRKSRC}/src/logtail ${PREFIX}/sbin
 	${INSTALL_SCRIPT} ${WRKSRC}/src/logtail2 ${PREFIX}/sbin
 	@PREFIX=${PREFIX} ${SH} ${PKGINSTALL} ${PKGNAME} PRE-INSTALL
- -	@${INSTALL} -d /var/db/logcheck
- -	@${INSTALL} -d /var/run/logcheck
- -	${CHOWN} ${LOGCHECK_USER}:${LOGCHECK_GROUP} /var/db/logcheck
- -	@${ECHO_CMD} '@exec ${CHOWN} -R ${LOGCHECK_USER}:${LOGCHECK_GROUP} \
- -		/var/db/logcheck' >> ${TMPPLIST}
- -	${CHOWN} ${LOGCHECK_USER}:${LOGCHECK_GROUP} /var/run/logcheck
- -	@${ECHO_CMD} '@exec ${CHOWN} -R ${LOGCHECK_USER}:${LOGCHECK_GROUP} \
- -		/var/run/logcheck' >> ${TMPPLIST}
+	@${INSTALL} -d ${DBDIR}
+	@${INSTALL} -d ${RUNDIR}
+	${CHOWN} ${LOGCHECK_USER}:${LOGCHECK_GROUP} ${DBDIR}
+	@${ECHO_CMD} '@exec ${CHOWN} -R ${LOGCHECK_USER}:${LOGCHECK_GROUP} '\
+		${DBDIR} >> ${TMPPLIST}
+	${CHOWN} ${LOGCHECK_USER}:${LOGCHECK_GROUP} ${RUNDIR}
+	@${ECHO_CMD} '@exec ${CHOWN} -R ${LOGCHECK_USER}:${LOGCHECK_GROUP} '\
+		${RUNDIR} >> ${TMPPLIST}
 	@${INSTALL} -d ${ETCDIR}
 	@${INSTALL_DATA} ${WRKSRC}/etc/logcheck.conf \
 		${ETCDIR}/logcheck.conf.sample
diff -ruN /usr/ports/security/logcheck/distinfo security/logcheck/distinfo
- --- /usr/ports/security/logcheck/distinfo	2011-07-04 09:09:12.000000000 +0900
+++ security/logcheck/distinfo	2011-11-24 13:52:33.000000000 +0900
@@ -1,2 +1,2 @@
- -SHA256 (logcheck_1.3.13.tar.gz) = 199e062eb98292eb5345b916689ec734d97b6c6c42d472a5cd4fb99dd5197f6b
- -SIZE (logcheck_1.3.13.tar.gz) = 162167
+SHA256 (logcheck_1.3.14.tar.gz) = aba50525b075e6b3446e18ff70b85d0704c82bcf80a5e21e4a5d2c27c555f6b0
+SIZE (logcheck_1.3.14.tar.gz) = 161518
diff -ruN /usr/ports/security/logcheck/files/extra-patch-src__logcheck.in security/logcheck/files/extra-patch-src__logcheck.in
- --- /usr/ports/security/logcheck/files/extra-patch-src__logcheck.in	2010-07-21 16:51:56.000000000 +0900
+++ security/logcheck/files/extra-patch-src__logcheck.in	2011-11-24 14:01:58.000000000 +0900
@@ -26,15 +26,6 @@
      exit 1
  fi

- -@@ -51,7 +44,7 @@
- -
- - # Get the details for the email message
- - DATE="$(date +'%Y-%m-%d %H:%M')"
- --VERSION="1.3.7"
- -+VERSION="1.3.10"
- -
- - # Set the default report level
- - REPORTLEVEL="server"
 @@ -69,12 +62,12 @@
  ADDTAG="no"

diff -ruN /usr/ports/security/logcheck/files/patch-rulefiles__linux__ignore.d.server__ssh security/logcheck/files/patch-rulefiles__linux__ignore.d.server__ssh
- --- /usr/ports/security/logcheck/files/patch-rulefiles__linux__ignore.d.server__ssh	2011-11-24 04:37:24.000000000 +0900
+++ security/logcheck/files/patch-rulefiles__linux__ignore.d.server__ssh	2011-12-06 16:45:54.000000000 +0900
@@ -1,6 +1,6 @@
- ---- ./rulefiles/linux/ignore.d.server/ssh.orig	2010-09-03 04:24:30.000000000 -0400
- -+++ ./rulefiles/linux/ignore.d.server/ssh	2011-11-23 14:25:31.000000000 -0500
- -@@ -21,8 +21,8 @@
+--- rulefiles/linux/ignore.d.server/ssh.orig	2011-09-08 22:33:44.000000000 +0900
++++ rulefiles/linux/ignore.d.server/ssh	2011-12-06 16:45:41.000000000 +0900
+@@ -22,8 +22,8 @@
  ^\w{3} [ :[:digit:]]{11} [._[:alnum:]-]+ sshd\[[[:digit:]]+\]: \(pam_unix\) check pass; user unknown$
  ^\w{3} [ :[:digit:]]{11} [._[:alnum:]-]+ sshd\[[[:digit:]]+\]: \(pam_unix\) bad username \[[^]]+\]$
  ^\w{3} [ :[:digit:]]{11} [._[:alnum:]-]+ sshd\[[[:digit:]]+\]: error: Could not get shadow information for NOUSER$
diff -ruN /usr/ports/security/logcheck/pkg-plist security/logcheck/pkg-plist
- --- /usr/ports/security/logcheck/pkg-plist	2010-08-19 12:44:39.000000000 +0900
+++ security/logcheck/pkg-plist	2011-11-29 08:58:56.000000000 +0900
@@ -142,7 +142,6 @@
 %%ETCDIR%%/ignore.d.server/userv
 %%ETCDIR%%/ignore.d.server/vsftpd
 %%ETCDIR%%/ignore.d.server/watchdog
- -%%ETCDIR%%/ignore.d.server/webmin
 %%ETCDIR%%/ignore.d.server/wu-ftpd
 %%ETCDIR%%/ignore.d.server/xinetd
 %%ETCDIR%%/ignore.d.workstation/automount
@@ -207,7 +206,7 @@
 @dirrm %%DATADIR%%/detectrotate
 @dirrm %%DATADIR%%
 @cwd /
- -@exec mkdir -p /var/db/logcheck
- -@dirrmtry /var/db/logcheck
- -@exec mkdir -p /var/run/logcheck
- -@dirrmtry /var/run/logcheck
+@exec mkdir -p %%DBDIR%%
+@dirrmtry %%DBDIR%%
+@exec mkdir -p %%RUNDIR%%
+@dirrmtry %%RUNDIR%%
- --- logcheck.patch ends here ---


Greg Larkin ããã¯æ¸ãã¾ãã (2011/12/06 8:30):
> 
> Hello Takefu,
> 
> Thank you for your PR, and I have started reviewing it today.  Can you tell me the reason for the removal of lines from the file extra-patch-src__logcheck.in?  As far as I can tell, all that should happen there is a change of the version string to 1.3.14.  If you had some other reason for deleting the other lines, please let me know.
> 
> Thank you, and I look forward to your reply!
> 
> Cheers, Greg Larkin
> 
> 
> 
> 

- -- 
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.17 (MingW32)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk7dy70ACgkQxqPFoZw+j1Yp6wCfQo2XUJKVdHBrIbf+YqwA7EQu
338An0vVNVG9x8o7n+9TN/78zqTpJEO0
=fHqe
-----END PGP SIGNATURE-----
Comment 6 Greg Larkin 2011-12-06 23:23:47 UTC
Hello again Takefu,

My apologies, but I'm still not sure why these lines are removed from
extra-patch__src__logcheck.in:

- -@@ -51,7 +44,7 @@
- -
- - # Get the details for the email message
- - DATE="$(date +'%Y-%m-%d %H:%M')"
- --VERSION="1.3.7"
- -+VERSION="1.3.10"
- -
- - # Set the default report level
- - REPORTLEVEL="server"

Removing those lines appears to break the script due to undefined
variables later on.

Also, can you upload your patch file somewhere and update the PR with
its URL?  The recent patch was embedded in the PR text.

Thank you,
Greg
	<http://www.linkedin.com/e/sig/146767/>
Comment 7 takefu 2011-12-07 00:12:01 UTC
There was a mistake in the source file in the past.
Had been corrected.
So deleted.

:D

--- /usr/ports/security/logcheck/work/logcheck/src/logcheck	2011-12-07 08:49:08.000000000 +0900
+++ src/logcheck	2011-12-07 08:48:16.000000000 +0900
@@ -43,8 +43,8 @@
 GETOPTS="c:dhH:l:L:m:opr:RsS:tTuvw"

 # Get the details for the email message
-DATE="$(date +'%Y-%m-%d %H:%M')"
-VERSION="1.3.10"
+DATE="$(date +'%Y-%m-%d %H:%M %z')"
+VERSION="1.3.14"

 # Set the default report level
 REPORTLEVEL="server"


Greg Larkin $B$5$s$O=q$-$^$7$?(B (2011/12/07 8:23):
> Hello again Takefu,
> 
> My apologies, but I'm still not sure why these lines are removed from
> extra-patch__src__logcheck.in:
> 
> - -@@ -51,7 +44,7 @@
> - -
> - - # Get the details for the email message
> - - DATE="$(date +'%Y-%m-%d %H:%M')"
> - --VERSION="1.3.7"
> - -+VERSION="1.3.10"
> - -
> - - # Set the default report level
> - - REPORTLEVEL="server"
> 
> Removing those lines appears to break the script due to undefined
> variables later on.
> 
> Also, can you upload your patch file somewhere and update the PR with
> its URL?  The recent patch was embedded in the PR text.
> 
> Thank you,
> Greg
> 	<http://www.linkedin.com/e/sig/146767/>
> 
> 
> 


--
Comment 8 Greg Larkin freebsd_committer 2011-12-08 23:13:41 UTC
State Changed
From-To: open->closed

Committed, thank you!
Comment 9 dfilter service freebsd_committer 2011-12-08 23:13:47 UTC
glarkin     2011-12-08 23:13:34 UTC

  FreeBSD ports repository

  Modified files:
    security/logcheck    Makefile distinfo pkg-plist 
    security/logcheck/files extra-patch-src__logcheck.in 
  Log:
  - Updated to 1.3.14
    ChangeLog: http://packages.debian.org/changelogs/pool/main/l/logcheck/logcheck_1.3.14/changelog
  
  PR:             ports/162810
  Submitted by:   Takefu <takefu@airport.fm>
  Feature safe:   yes
  
  Revision  Changes    Path
  1.37      +12 -9     ports/security/logcheck/Makefile
  1.12      +2 -2      ports/security/logcheck/distinfo
  1.6       +0 -9      ports/security/logcheck/files/extra-patch-src__logcheck.in
  1.16      +4 -6      ports/security/logcheck/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"